Package org.w3._2000._09.xmldsig

# Class SPKIData

java.lang.Object
org.w3._2000._09.xmldsig.SPKIData

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SPKIData extends Object implements Serializable

Java class for SPKIDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SPKIDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded">
             <element name="SPKISexp" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <any processContents='lax' namespace='##other' minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SPKIData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getSPKISexpsAndAnies()`
  Gets the value of the spkiSexpsAndAnies property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SPKIData

    public SPKIData()

- ## Method Details

  - ### getSPKISexpsAndAnies

    public List<Object> getSPKISexpsAndAnies()
    Gets the value of the spkiSexpsAndAnies property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the spkiSexpsAndAnies property.

    For example, to add a new item, do as follows:

         getSPKISexpsAndAnies().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<`

    invalid reference

        byte[]

    `>` `Element`
    Returns:
      The value of the spkiSexpsAndAnies property.